'use strict';var wellKnownSymbol=require('./well-known-symbol-08f3111a.js'),arrayIteration=require('./array-iteration-7afe833b.js'),arrayMethodHasSpeciesSupport=require('./array-method-has-species-support-9fe8fcbb.js');var $filter = arrayIteration.a.filter;


var HAS_SPECIES_SUPPORT = arrayMethodHasSpeciesSupport.a('filter');

// `Array.prototype.filter` method
// https://tc39.es/ecma262/#sec-array.prototype.filter
// with adding support of @@species
wellKnownSymbol._({ target: 'Array', proto: true, forced: !HAS_SPECIES_SUPPORT }, {
  filter: function filter(callbackfn /* , thisArg */) {
    return $filter(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
  }
});